summaryrefslogtreecommitdiffstats
path: root/update-dbus-docs.sh
diff options
context:
space:
mode:
authorHavoc Pennington <hp@redhat.com>2007-03-12 21:35:50 +0000
committerHavoc Pennington <hp@redhat.com>2007-03-12 21:35:50 +0000
commitcc0aea750cb03ffa6a9e94e493455920ab3e612b (patch)
tree0e5bff1663085782c8a9dbe47a7df73c853ec08c /update-dbus-docs.sh
parentc99f87dc5fcd597d1e778b9e1653aa62f0f1a988 (diff)
add COPYING to docs copied to web site
Diffstat (limited to 'update-dbus-docs.sh')
-rwxr-xr-xupdate-dbus-docs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/update-dbus-docs.sh b/update-dbus-docs.sh
index e98d0b04..1caa40a5 100755
--- a/update-dbus-docs.sh
+++ b/update-dbus-docs.sh
@@ -41,8 +41,8 @@ for M in $MANFILES ; do
done
echo "Packing docs into tarball"
-cp README HACKING AUTHORS NEWS ChangeLog doc/ || die "could not copy in assorted files"
-tar cfz dbus-docs.tar.gz doc/*.dtd doc/*.xsl doc/*.xml doc/*.html doc/*.txt doc/api/html/*.html doc/api/html/*.css doc/api/html/*.png doc/api/html/*.gif doc/HACKING doc/AUTHORS doc/NEWS doc/ChangeLog doc/TODO doc/README doc/*.png doc/*.svg || die "could not tar up docs"
+cp README HACKING AUTHORS NEWS COPYING ChangeLog doc/ || die "could not copy in assorted files"
+tar cfz dbus-docs.tar.gz doc/*.dtd doc/*.xsl doc/*.xml doc/*.html doc/*.txt doc/api/html/*.html doc/api/html/*.css doc/api/html/*.png doc/api/html/*.gif doc/HACKING doc/AUTHORS doc/NEWS doc/ChangeLog doc/TODO doc/README doc/COPYING doc/*.png doc/*.svg || die "could not tar up docs"
tar tfz dbus-docs.tar.gz | sort > tarball.list || die "could not list tarball contents"
find doc -not -type d | grep -v CVS | grep -v -E '.~[0-9.]+~' | grep -v Makefile | grep -vE '.c$' | grep -v man3dbus | grep -v .cvsignore | sort > filesystem.list || die "could not list doc/* contents"